// this is an example of printing something on every page

#import "printFile.h"
#import <dpsclient/psops.h>
#import <appkit/Font.h>
#import <appkit/Application.h>

static char logo[] = "
200 200 translate
/Times-Roman findfont 14 scalefont setfont
0 30 359 {
360 div setgray 30 rotate
0 0 moveto (Athena Design, Inc.) show
} for

";

@implementation PrintFile

+ (char *)eventName
{
	return "PrintFile";
	}

- init
{
	[super init];

	return self;
	}

- free
{
	
	return [super free];
	}

	
- pageWillPrint:sender page:(int)pn of:(int)of pageRect:(NXRect *)pr viewRect:(NXRect *)vr
{
	id font;
	char tmp[500];

	font = [Font newFont:"Times-Roman" size:12 matrix:NX_IDENTITYMATRIX];
	[font set];
	PSmoveto(10,15);
	sprintf(tmp,"File %s page %d of %d",[sender sheetTitle],pn,of);
	PSshow(tmp);
	DPSWritePostScript(DPSGetCurrentContext(),logo,strlen(logo));
	
	return self;
	}

@end