#import "MesaAddIn.h"
#import <appkit/Menu.h>
#import <appkit/MenuCell.h>
#import <appkit/Application.h>

@interface Foo : Object
{
	id myMenu;
	id myItem;
	}
	
+ (char *)eventName;
- doBeep;

@end

@implementation Foo

+ (char *)eventName
{
	return "MyFoo";
	}

- init
{
	int x;
	char tmp[100];
	id tid;
	
	[super init];
	
	myMenu = [[Menu alloc] initTitle:"Test Menu"];
	
	for (x = 1; x <= 10; x++) {
		sprintf(tmp,"Item %d",x);
		tid = [myMenu addItem:tmp action:@selector(doBeep) keyEquivalent:0];
		[tid setTarget:self];
		}

	[myMenu sizeToFit];
	[myMenu display];
	
	myItem = [NXApp addMenuItem:"Super Menu" target:NULL action:@selector(doBeep)];
	[NXApp setSubmenu:myMenu forItem:myItem];
	
	return self;
	}
	
- doBeep
{
	NXBeep();
	return self;
	}

- free
{
	[NXApp removeMenuItem:myItem];
	[myMenu free];
	
	return [super free];
	}
@end
